SELECT be.PBID
    , be.ENTITYID
    , be.ENTITYNAME
    , gd.FIELDVALUE as "URL"
FROM PC_FIVETRAN_DB.DBD_DBO.GRAVITYDATA as gd
    INNER JOIN PC_FIVETRAN_DB.DBD_DBO.BUSINESSENTITY be ON be.entityid = gd.BUSINESSENTITYID
WHERE gd.FIELDNAME = 'co_url'
    AND be.PBID NOT IN ({black_list_ids})
ORDER BY gd._FIVETRAN_SYNCED DESC
LIMIT 10000;